Package com.pixelmed.dicom

# Class ColorPalettePET20Step

java.lang.Object
com.pixelmed.dicom.ColorPalette
com.pixelmed.dicom.ColorPalettePET20Step

public class ColorPalettePET20Step extends ColorPalette

Standard DICOM PET 20 Step color palette.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String[]`
`alternateContentDescriptionStatic`
`protected static String[]`
`alternateContentLanguageCodeMeaningStatic`
`protected static String[]`
`alternateContentLanguageCodeValueStatic`
`protected static byte[]`
`blueStaticArray`
`protected static String`
`contentCreatorNameStatic`
`protected static String`
`contentDescriptionStatic`
`protected static String`
`contentLabelStatic`
`protected static byte[]`
`greenStaticArray`
`protected static byte[]`
`redStaticArray`
`protected static String`
`referenceEncodedInstanceURLStatic`
`protected static String`
`sopInstanceUIDStatic`

### Fields inherited from class com.pixelmed.dicom.ColorPalette

`alternateContentDescription, alternateContentLanguageCodeMeaning, alternateContentLanguageCodeValue, blue, contentCreatorName, contentDescription, contentLabel, green, iccProfile, list, red, referenceEncodedInstanceURL, sopInstanceUID`

## Constructor Summary

Constructors
Constructor
Description
`ColorPalettePET20Step()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Create a DICOM color palette storage instance from the palette characteristics.

### Methods inherited from class com.pixelmed.dicom.ColorPalette

`createDICOMInstance, getAttributeList, getContentDescription, getContentLabel, getICCProfile, getReferenceEncodedInstanceURL, getSOPInstanceUID, setICCProfileFromFile`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sopInstanceUIDStatic

protected static String sopInstanceUIDStatic

### contentLabelStatic

protected static String contentLabelStatic

### contentDescriptionStatic

protected static String contentDescriptionStatic

### contentCreatorNameStatic

protected static String contentCreatorNameStatic

### referenceEncodedInstanceURLStatic

protected static String referenceEncodedInstanceURLStatic

### alternateContentDescriptionStatic

protected static String[] alternateContentDescriptionStatic

### alternateContentLanguageCodeValueStatic

protected static String[] alternateContentLanguageCodeValueStatic

### alternateContentLanguageCodeMeaningStatic

protected static String[] alternateContentLanguageCodeMeaningStatic

### redStaticArray

protected static byte[] redStaticArray

### greenStaticArray

protected static byte[] greenStaticArray

### blueStaticArray

protected static byte[] blueStaticArray

## Constructor Details

### ColorPalettePET20Step

public ColorPalettePET20Step()

## Method Details

### main

public static void main(String[] arg)

Create a DICOM color palette storage instance from the palette characteristics.

Parameters:
  `arg` - one or two arguments, the name of the DICOM file to write, and optionally the name of a file containing the ICC profile to include